%global buildversion 21
%global realversion 1.0-Chipmunk-build%{buildversion}

Name:           udpxy
Version:        1.0.21
Release:        1%{?dist}
Summary:        UDP-to-HTTP multicast traffic relay daemon

Group:          Applications/Internet
License:        GPLv3+
URL:            http://sourceforge.net/projects/udpxy/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}.%{realversion}.tgz
Source1:        udpxy.init
Source2:        udpxy.sysconfig
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
udpxy is a UDP-to-HTTP multicast traffic relay daemon:
it forwards UDP traffic from a given multicast subscription
to the requesting HTTP client.


%prep
%setup -q -n %{name}-1.0-Chipmunk-%{buildversion}

sed -i "s|CFLAGS += -W -Wall -Werror --pedantic|CFLAGS += %{optflags}|g" Makefile


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

sed -i "s|INSTALLROOT := /usr/local|INSTALLROOT := $RPM_BUILD_ROOT/usr|g" Makefile
sed -i 's|ln -s $(INSTALLROOT)/bin/$(EXEC)|ln -s $(EXEC)|g' Makefile

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig

install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add %{name}

%postun
/sbin/service %{name} condrestart > /dev/null 2>&1 || :

%preun
if [ "$1" = 0 ]
then
    /sbin/service %{name} stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}
fi


%files
%defattr(-,root,root,-)
%doc README CHANGES gpl.txt udpxy-manual-RU.rtf
%attr(0755,root,root) /etc/rc.d/init.d/%{name}
%{_sysconfdir}/sysconfig/%{name}
%{_bindir}/%{name}
%{_bindir}/udpxrec


%changelog
* Mon Jan 10 2012 Denis Frolov <d.frolov81@mail.ru> - 1.0.21-1
- Rebuild for Centos 5.x/6.x

* Fri Nov 25 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.21-1
- udpxy 1.0-Chipmunk-build21

* Mon Jun 20 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.20-1
- udpxy 1.0-Chipmunk-BLD20

* Sun May 22 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.19-1
- udpxy 1.0-Chipmunk-19
- service disabled by default
- SysV init script replaced with systemd unit
- options from sysconfdir moved to unit file

* Sun Aug  1 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.16-1
- Initial RPM release
